Subject: bug#78135: closed (Re: [PATCH tex-team] gnu: texstudio: Update to 4.8.7.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Apr 2025 23:34:02 +0000

Your bug report

#78135: [PATCH tex-team] gnu: texstudio: Update to 4.8.7.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78135: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78135
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH tex-team] gnu: texstudio: Update to 4.8.7.
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: Andreas Enge <[email-masked]>, Nicolas Goaziou <[email-masked]>, Greg Hogan <[email-masked]>
Date: Thu, 01 May 2025 01:33:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> Greg Hogan <[email-masked]> writes:
> 
> > Yes, I think there is some confusion over team branches and master.
> > From the documentation [0]: "Any changes that can be made on the
> > master branch, should be made on the master branch. If a commit can be
> > split to apply part of the changes on master, this is good to do."
> >
> > texstudio has no dependent packages, so should be pushed directly to
> > master. My understanding is that it still needs to be either approved
> > or pushed by the owning team.
> 
> You are right, it should have been pushed directly to master, not to
> tex-team branch. But what is done is done!

I had to rebase the "tex-team" branch, so I removed your previous patch
from there and pushed it directly to master.

Thank you,

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH tex-team] gnu: texstudio: Update to 4.8.7.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: Greg Hogan <[email-masked]>
Date: Tue, 29 Apr 2025 14:16:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/tex.scm (texstudio): Update to 4.8.7.

Change-Id: Ia8ebfca22da6a05225601560d7295f30d9dff18a
---
 gnu/packages/tex.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 04632e8408..e4b8943e57 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -71822,7 +71822,7 @@ (define-public texmaker
 (define-public texstudio
   (package
     (name "texstudio")
-    (version "4.8.2")
+    (version "4.8.7")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -71831,7 +71831,7 @@ (define-public texstudio
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1grkvwh174a2dx19w6wlkhq2adj6g2myy31f5hji7kxw4ks759xb"))))
+                "1z17j1wggs8fgjqk0mrqqwh7xcsmzckfhlpwc7aykr65ii4gqizz"))))
     (build-system qt-build-system)
     (arguments
      `(#:tests? #f))                    ;tests work only with debug build

base-commit: 32bc7695b50a2018f15618a86d7200fc8c3e2f58
-- 
2.49.0